### Method

# WebKit WebsiteDataManager get_websql_directory

deprecated: 2.24. since: 2.10

#### Declaration [src]

    const gchar*
    webkit_website_data_manager_get_websql_directory (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Get the `WebKitWebsiteDataManager:websql-directory` property.

Available since: 2.10

Deprecated since: 2.24.

WebSQL is no longer supported. Use IndexedDB instead.

Gets property | `WebKit.WebsiteDataManager:websql-directory`

#### Return value

Type: `const gchar*`

The directory where WebSQL databases are stored or `NULL` if `manager` is ephemeral.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.